%define        pkgver %(echo %version|tr . _)
%define        dirver %(echo %version | cut -d. -f 1-2 | tr . _)
Name:          java-hsqldb
Version:       2.6.0
Release:       1mamba
Summary:       Lightweight 100% Java SQL Database Engine
Group:         Applications/Databases
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://hsqldb.org
Source0:       https://sourceforge.net/projects/hsqldb/files/hsqldb/hsqldb_%{dirver}/hsqldb-%{version}.zip
#Source0:        http://sourceforge.net/projects/hsqldb/files/hsqldb/hsqldb_%{majver}/hsqldb_%{pkgver}.zip
License:       BSD
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Obsoletes:     hsqldb
Provides:      hsqldb

%description
HSQLDB is a relational database engine written in Java, with a JDBC driver, supporting a large subset of ANSI-92 SQL. A small, fast engine with both in memory and disk based tables. This product is the continuation of HypersonicSQL. Active since 2001.

%prep
%setup -q -c
unzip -o %{SOURCE0}
mv hsqldb-%{version}/* .

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m0644 hsqldb/lib/hsqldb.jar %{buildroot}%{_javadir}/hsqldb-%{version}.jar
ln -s hsqldb-%{version}.jar %{buildroot}%{_javadir}/hsqldb.jar

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_javadir}/hsqldb-%{version}.jar
%{_javadir}/hsqldb.jar

%changelog
* Sun Jun 06 2021 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic update by autodist

* Thu Oct 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.0-1mamba
- update to 2.5.0

* Thu Jan 27 2011 gil <puntogil@libero.it> 1.8.0.10-3mamba
- rebuilt with java-openjdk
- add gcj support
- add libreoffice patches

* Tue Mar 03 2009 gil <puntogil@libero.it>  1.8.0.10-2mamba
- added manual and javadoc pakage
- added system junit (java-junit3) and servlet (tomcat5) support
- added %%pre %%post %%preun scripts
- renamed java-hsqldb

* Thu Jul 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.0-1mamba
- package created by autospec
